<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<p:separator />
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label">
					<b>
						<ui:insert name="seccion_direccion_titulo">
							<div>DOMICILIO ACTUAL</div>
						</ui:insert>
					</b>
				</label>
			</div>
		</div>
		<div class="row box-mb">
			<p:fieldset>
				<fieldset>
					<p:panel id="DireccionPanel" style="border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-8">
								<ui:insert name="seccion_direccion_campo_domicilio">
									<h:outputLabel 	for="txtDomicilio" value="Domicilio ( Av / Jirón / Nro / Dpto / Mz / Lote / Urb ) :" styleClass="control-label">
									</h:outputLabel><span class="style_requerido">*</span>
									<p:inputText value="#{bandejaSalaDelUsuarioMB.request.user.direccion.direccionResidencia.direccion}" id="txtDomicilio" maxlength="110" 
												required="false" style="text-transform: uppercase;" styleClass="form-control" tabindex="1" />			
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_direccion_campo_pais">
									<h:outputLabel for="cmbPais" value="País : " styleClass="control-label" /><span class="style_requerido">*</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
									<p:selectOneMenu id="cmbPais" value="#{bandejaSalaDelUsuarioMB.request.user.direccion.direccionResidencia.codPais}" styleClass="form-control style-select">
										<f:selectItem itemLabel="--- Seleccione ---" itemValue="0" />
										<f:selectItem itemLabel="PERÚ" itemValue="PER" />
<!-- 										<f:selectItems value="#{bandejaSalaDelUsuarioMB.lstPais}" var="tabla" itemValue="#{tabla.codPais}" itemLabel="#{tabla.nombrePais}" /> -->
<!-- 										<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.updatePaisResidenciaSelected}" update=":frmUserCreation" />													  -->
									</p:selectOneMenu>	
								</ui:insert>
							</div>
						</div>
						<div class="row box-mb">
							<div class="col-sm-4">
								<ui:insert name="seccion_direccion_campo_departamento">
									<h:panelGroup rendered="#{bandejaSalaDelUsuarioMB.showPaisPeru}">
										<h:outputLabel for="cmbDepartamento" value="Departamento : " styleClass="control-label" />
										<span class="style_requerido">*</span>
										<p:selectOneMenu id="cmbDepartamento" value="#{bandejaSalaDelUsuarioMB.request.user.direccion.direccionResidencia.codDep}" styleClass="form-control style-select">
											<f:selectItem itemLabel="--- Seleccione ---" itemValue="0" />
											<f:selectItems value="#{bandejaSalaDelUsuarioMB.lstDepartamento}" var="tabla" itemValue="#{tabla.coddep}" itemLabel="#{tabla.descripcion}" />
											<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.updateProvincia}" update="cmbProvincia, cmbDistrito"/>													 
										</p:selectOneMenu>	
									</h:panelGroup>			
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_direccion_campo_provincia">
									<h:panelGroup rendered="#{bandejaSalaDelUsuarioMB.showPaisPeru}">
										<h:outputLabel for="cmbProvincia" value="Provincia :" styleClass="control-label" /><span class="style_requerido">*</span>&#160;&#160;&#160;&#160;&#160;
										<p:selectOneMenu id="cmbProvincia" value="#{bandejaSalaDelUsuarioMB.request.user.direccion.direccionResidencia.codPro}"  styleClass="form-control style-select">
											<f:selectItem itemLabel="--- Seleccione ---" itemValue="0" />
											<f:selectItems value="#{bandejaSalaDelUsuarioMB.lstProvincia}" var="tabla" itemValue="#{tabla.codpro}" itemLabel="#{tabla.descripcion}" />	
											<p:ajax event="change" listener="#{bandejaSalaDelUsuarioMB.updateDistrito}" update=  "cmbDistrito"/>													 
										</p:selectOneMenu>
									</h:panelGroup>			
								</ui:insert>
							</div>
							<div class="col-sm-4">
								<ui:insert name="seccion_direccion_campo_distrito">
									<h:panelGroup rendered="#{bandejaSalaDelUsuarioMB.showPaisPeru}">
										<h:outputLabel for="cmbDistrito" value="Distrito : " styleClass="control-label" /><span class="style_requerido">*</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
										<p:selectOneMenu id="cmbDistrito" value="#{bandejaSalaDelUsuarioMB.request.user.direccion.direccionResidencia.codDis}" styleClass="form-control style-select">
											<f:selectItem itemLabel="--- Seleccione ---" itemValue="0" />
											<f:selectItems value="#{bandejaSalaDelUsuarioMB.lstDistritos}" var="tabla" itemValue="#{tabla.coddis}" itemLabel="#{tabla.descripcion}" />													 
										</p:selectOneMenu>
									</h:panelGroup>			
								</ui:insert>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
		</div>
	</ui:composition>
</body>
</html>